<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/common/output_xml.inc.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/

if($GLOBALS["no_response_node"]===true)
	$strRet=$strResponse;
else{
	// enclosing the results of the differents requests in a unique node
	
	// handling the namespaces necessary for the external objects
	require_once(dirname(__FILE__)."/../common/namespace.class.php");
	$namespaces = new NamespaceCollection();
	$namespaces_str = $namespaces->getXMLHeader();
	
	if($GLOBALS['no_variable_nectil_vars']!==true && !$GLOBALS["php_request"])
		$strRet="<?xml version=\"1.0\" encoding=\"utf-8\"?><RESPONSE".$namespaces_str." userID=\"".$_SESSION[$GLOBALS["nectil_url"]]['SESSIONuserID']."\" sessionID=\"".session_id()."\">$strResponse";
	else
		$strRet="<?xml version=\"1.0\" encoding=\"utf-8\"?><RESPONSE".$namespaces_str.">$strResponse";
	// adding some stats
	if (!$GLOBALS["php_request"] || $_GET['stats']=='true'){
		$strRet.="<SQL_STATS><TOTALQUERIES>".($GLOBALS["EXECS"]+$GLOBALS["CACHED"])."</TOTALQUERIES><SearchQUERIES>".$GLOBALS["SearchQUERIES"]."</SearchQUERIES></SQL_STATS>";
		$strRet.="<TotalNectilElements>".$GLOBALS["TotalNectilElements"]."</TotalNectilElements>";
		$time_elapsed = getTimer(/*true*/);
		$strRet.="<TIME>$time_elapsed</TIME>";
	}
	$strRet.="</RESPONSE>";
	if ($output_xml!==FALSE)
		xml_out($strRet);
}
// if it's a distant query, we output the XML


//echo $time_elapsed;
?>
